/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "line.h"


Line::Line(QPoint first, QPoint second, QColor theColor)
{
	firstPoint = first;
	secondPoint = second;
	color = theColor;
	firstTag = 0;
	secondTag = 0;
}

QPoint Line::getFirstPoint() const
{
	return firstPoint;
}

QPoint Line::getSecondPoint() const
{
	return secondPoint;
}

QColor Line::getColor() const
{
	return color;
}

int Line::getFirstPointTag()
{
	return firstTag;
}

int Line::getSecondPointTag()
{
	return secondTag;
}

void Line::setFirstPoint(QPoint point)
{
	firstPoint = point;
}

void Line::setSecondPoint(QPoint point)
{
	secondPoint = point;
}

void Line::setColor(QColor theColor)
{
	color = theColor;
}

void Line::setFirstPointTag(int tag)
{
	firstTag = tag;
}

void Line::setSecondPointTag(int tag)
{
	secondTag = tag;
}

